List WhatsApp senders
curl --request GET \
--url https://api.pineyard.ai/whatsapp/senders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/senders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"senders": [
{
"id": "<string>",
"mode": "SHARED",
"status": "CONNECTING",
"numberSource": "PLATFORM_SHARED",
"isDefault": true,
"phoneDisplay": "<string>",
"hasCredentials": true,
"connectedAt": "<string>",
"verifiedName": "<string>",
"qualityRating": "<string>"
}
]
}Senders
List WhatsApp senders
GET
/
whatsapp
/
senders
List WhatsApp senders
curl --request GET \
--url https://api.pineyard.ai/whatsapp/senders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/senders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"senders": [
{
"id": "<string>",
"mode": "SHARED",
"status": "CONNECTING",
"numberSource": "PLATFORM_SHARED",
"isDefault": true,
"phoneDisplay": "<string>",
"hasCredentials": true,
"connectedAt": "<string>",
"verifiedName": "<string>",
"qualityRating": "<string>"
}
]
}
